# $Revision: 1.3 $, $Date: 2005/09/05 06:41:34 $
Summary:	An input device driver for X
Summary(pl):	Sterownik urzdze wejciowych dla X
Name:		X11-driver-evdev
Version:	0.2
Release:	1
License:	MIT/X (evdev), GPL v2+ (evtest)
Group:		X11
# https://bugs.freedesktop.org/attachment.cgi?id=1745
Source0:	evdev-driver-%{version}.tar.gz
# Source0-md5:	08ab3b281793aec8f31dab793871d852
Source1:	evtest.c
Patch0:		http://straw.sh.nu/evdev_drv/evdev-latest-CVS-1.9.patch
Patch1:		http://straw.sh.nu/evdev_drv/evdev-Xfuncproto-is-stale.patch
Patch2:		evdev-includes.patch
URL:		http://xorg.freedesktop.org/wiki/
BuildRequires:	X11-Xserver-devel >= 6.8.2
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
Requires:	X11-modules >= 6.8.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
This driver uses the Linux input layer directly and can handle both
mice and keyboards. Please read and comment at:
https://bugs.freedesktop.org/show_bug.cgi?id=968

%description -l pl
Ten sterownik uywa bezporednio warstwy wejciowej Linuksa i moe
obsuy zarwno myszy jak i klawiatury. Mona o nim przeczyta i
napisa komentarz pod adresem:
https://bugs.freedesktop.org/show_bug.cgi?id=968

%prep
%setup -q -n evdev-driver-%{version}
%patch0
%patch1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
cp -f /usr/share/automake/config.sub .

%configure
%{__make}

%{__cc} %{SOURCE1} %{rpmcflags} -o evtest

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D evtest $RPM_BUILD_ROOT/usr/sbin/evtest

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/modules/input/evdev_drv.o
%attr(755,root,root) /usr/sbin/evtest

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: X11-driver-evdev.spec,v $
Revision 1.3  2005/09/05 06:41:34  pluto
- evtest tool added.

Revision 1.2  2005/08/24 18:04:06  qboosh
- pl

Revision 1.1  2005/08/21 14:32:08  pluto
- evdev driver for input devices.
